﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using MvcFV.Models;

namespace MvcFV.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
           var alunos = new List<Aluno>();

            alunos.Add(new Aluno{
                Nome = "Macoratti",
                Email = "macoratti@yahoo.com" ,
                DataNascimento = new System.DateTime(1998, 7, 8)
            });
            
            alunos.Add(new Aluno{
                Nome = "Miriam Ribeiro",
                Email = "mimi@hotmail.com",
                DataNascimento = new System.DateTime(1999, 5, 10)
            });

            return View(alunos);
        }

        public IActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Create(Aluno model)
        {
            if(ModelState.IsValid)
            {
               return RedirectToAction("Index","Home");
            }
            return View(model);
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
